Package com.sun.grid.jsv

# Enum JsvManager.LogLevel

java.lang.Object
java.lang.Enum<JsvManager.LogLevel>
com.sun.grid.jsv.JsvManager.LogLevel

All Implemented Interfaces:
  `Serializable`, `Comparable<JsvManager.LogLevel>`, `java.lang.constant.Constable`

Enclosing class:
  `JsvManager`

public static enum JsvManager.LogLevel extends Enum<JsvManager.LogLevel>
The LogLevel enumeration is used to control the log level of messages logged through the JSV framework. Note that this log level is independent of the Logger.

See Also:
  - `JsvManager.log(com.sun.grid.jsv.JsvManager.LogLevel, java.lang.String)`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ERROR`
`INFO`
`WARNING`

## Method Summary

Modifier and Type
Method
Description
`static JsvManager.LogLevel`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static JsvManager.LogLevel[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INFO

public static final JsvManager.LogLevel INFO

### WARNING

public static final JsvManager.LogLevel WARNING

### ERROR

public static final JsvManager.LogLevel ERROR

## Method Details

### values

public static JsvManager.LogLevel[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static JsvManager.LogLevel valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null